aboutsummaryrefslogtreecommitdiffstats
path: root/testing/isync/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-04-02 15:40:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-12 15:13:52 +0000
commit33747cc805b0b8fd717afaa54da0fbd511dc52cc (patch)
tree5684358969a9eb04eccaf04f19e2038d5bfb4baf /testing/isync/APKBUILD
parentbf527a802eee81765f2e94ea7858fd7482844b99 (diff)
downloadaports-33747cc805b0b8fd717afaa54da0fbd511dc52cc.tar.gz
aports-33747cc805b0b8fd717afaa54da0fbd511dc52cc.tar.bz2
aports-33747cc805b0b8fd717afaa54da0fbd511dc52cc.tar.xz
testing/isync: new aport
Diffstat (limited to 'testing/isync/APKBUILD')
-rw-r--r--testing/isync/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/isync/APKBUILD b/testing/isync/APKBUILD
new file mode 100644
index 0000000000..85c71a6cc3
--- /dev/null
+++ b/testing/isync/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=isync
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="IMAP and MailDir mailbox synchronizer"
+url="http://isync.sourceforge.net"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev openssl-dev cyrus-sasl-dev zlib-dev db-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::http://downloads.sourceforge.net/sourceforge/isync/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7ba1a07c7b487a3ab5fef54d0071f1dd isync-1.2.1.tar.gz"
+sha256sums="e716de28c9a08e624a035caae3902fcf3b511553be5d61517a133e03aa3532ae isync-1.2.1.tar.gz"
+sha512sums="706379e602cdcef3a1ca7eaf2301cfea15b9bbb5ee46c8f598308ad68a48725c6a4d13a2e73cc4633efec34fda1dbcb89bdd0e4c2e06993fa24db69cce9ff50b isync-1.2.1.tar.gz"